LibreOffice: SheetSortDescriptor Service Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Public Attributes | List of all members
SheetSortDescriptor Service Referencepublished

a description of how a cell range is to be sorted. More...

Inheritance diagram for SheetSortDescriptor:

## Included Services
service | com::sun::star::table::TableSortDescriptor
| provides common table sorting properties.
Included Services inherited from TableSortDescriptor
service | com::sun::star::util::SortDescriptor
| contains common sorting properties.

## Public Attributes
boolean | BindFormatsToContent
| specifies if cell formats are moved with the contents they belong to.
boolean | IsUserListEnabled
| specifies if a user defined sorting list is used.
long | UserListIndex
| specifies which user defined sorting list is used.
boolean | CopyOutputData
| specifies if the sorted data should be copied to another position in the document.
com::sun::star::table::CellAddress | OutputPosition
| specifies the position where sorted data are to be copied.
Public Attributes inherited from TableSortDescriptor
long | MaxFieldCount
| contains the maximum number of sort fields the descriptor can hold.
com::sun::star::table::TableOrientation | Orientation
| specifies the sorting orientation (sort rows or columns).
boolean | ContainsHeader
| specifies whether the first row or column (depending on com::sun::star::util::SortDescriptor::SortColumns) is a header which should not be sorted.
Public Attributes inherited from SortDescriptor
boolean | IsCaseSensitive
| specifies if the case of letters is important when comparing entries.
boolean | SortAscending
| specifies the sorting order.
boolean | SortColumns
| specifies if the columns are sorted.
com::sun::star::lang::Locale | CollatorLocale
| specifies the locale for the compare operator (collator).
string | CollatorAlgorithm
| specifies the algorithm for the compare operator (collator).

## Additional Inherited Members
Public Types inherited from TableSortDescriptor
typedef sequence< com::sun::star::util::SortField > | SortFields
| specifies the descriptions of the individual sort fields.
Exported Interfaces inherited from SortDescriptor
interface | com::sun::star::beans::XPropertySet
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

a description of how a cell range is to be sorted.

This service extends the com::sun::star::table::TableSortDescriptor service with spreadsheet specific properties.

## Exported Interfaces

## ◆ com::sun::star::table::TableSortDescriptor

service com::sun::star::table::TableSortDescriptor

provides common table sorting properties.

## Member Data Documentation

## ◆ BindFormatsToContent

boolean BindFormatsToContent
| property

specifies if cell formats are moved with the contents they belong to.

## ◆ CopyOutputData

boolean CopyOutputData
| property

specifies if the sorted data should be copied to another position in the document.

## ◆ IsUserListEnabled

boolean IsUserListEnabled
| property

specifies if a user defined sorting list is used.

## ◆ OutputPosition

com::sun::star::table::CellAddress OutputPosition
| property

specifies the position where sorted data are to be copied.

This property is only used, if SheetSortDescriptor::CopyOutputData is `TRUE`.

## ◆ UserListIndex

long UserListIndex
| property

specifies which user defined sorting list is used.

This property is only used, if SheetSortDescriptor::IsUserListEnabled is `TRUE`.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/SheetSortDescriptor.idl